function [r, gd] = stackgdfastmexwrap(ks, ds, n0, ns, dns, theta, pol)
% STACKGDDDASTMEXWRAP  Calculate complex reflection and group delay of
% arbitrary dielectric structure using approximate analytic methods,
% including only first order material dispersion. Assumes two indices.
% This software is provided as an example. This file is a wrapper which
% simply calls a MEX function, and allows for the same interface as
% the STACKGDFAST M function.
%
% [r, gd, gdd] = stackgdfastmexwrap(ks, ds, n0, ns, dns, ddns, theta, pol)
%
% See the documenation for STACKGDFAST for calling conventions.

if nargin > 5
  [r, gd] = stackgdfastmexwrap(ks, ds, n0, ns, dns, theta, pol);
else
  [r, gd] = stackgdfastmexwrap(ks, ds, n0, ns, dns);
end